// Resistivity of a material having a circular cross-section
// SCILAB source file: ex2102.sce
// Get input data from dialogue box
txt = ['Length of the conductor (m)';'Diameter of the conductor (mm)';'Resistance of the conductor (ohm)';];
var = x_mdialog('Enter length, diameter and resistance of the conductor',txt,['25';'0.5';'2.5';]);
l = evstr(var(1));
d = 1E-3*evstr(var(2));
r = evstr(var(3));
// Area of the conductor
a = %pi*((d/2)^2); 
// Calculate specific resistance
p = 1E8*r*a/l;
// Display result
messagebox("Resistivity = " + string(p) + " ohm-metre (x10-8)")

